Name:           open-xchange-guard-ui
BuildArch:      noarch
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
%if 0%{?suse_version}
BuildRequires:  nodejs6
BuildRequires:  npm6
%else
BuildRequires:  nodejs >= 0.10.0
%endif
Version:        2.8.0
%define         ox_release 22
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
Vendor:         Open-Xchange
URL:            http://open-xchange.com
Packager:       "Greg Hill" <greg.hill@open-xchange.com>
License:        CC-BY-NC-SA-3.0
Summary:        Guard - the Open-Xchange security solution
Source:         %{name}_%{version}.orig.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       open-xchange-appsuite-manifest >= 7.8.4-8

%description
Guard - the Open-Xchange security solution

%if 0%{?fedora_version} || 0%{?rhel_version}
%define docroot /var/www/html/
%else
%define docroot /srv/www/htdocs/
%endif

%package static
Group:          Applications/Productivity
Summary:        Static files for open-xchange-guard-ui
Requires:       open-xchange-appsuite >= 7.8.4-8

%description static
Guard - the Open-Xchange security solution

This package contains static files to be installed on the web-server

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -DkeepCache=true -f build/build.xml build

%clean
%{__rm} -rf %{buildroot}

%define update /opt/open-xchange/appsuite/share/update-themes.sh

%define touch /opt/open-xchange/sbin/touch-appsuite

%post
if [ -x %{update} ]; then %{update} --later; fi

%post static
if [ -x %{touch} ]; then %{touch}; fi

%postun
if [ -x %{update} ]; then %{update} --later; fi

%files
%defattr(-,root,root)
%dir /opt/open-xchange
/opt/open-xchange/appsuite

%files static
%defattr(-,root,root)
%dir %{docroot}/appsuite
%{docroot}/appsuite

%changelog
* Tue Jun 04 2019 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2019-06-11 (5265)
* Tue Dec 11 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-12-17 (5025)
* Thu Oct 18 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-10-22 (4929)
* Fri Oct 05 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-10-10 (4910)
* Tue Jun 26 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-07-02 (4804)
* Wed May 09 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-05-14 (4742)
* Tue Apr 17 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-04-23 (4648)
* Fri Mar 23 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-03-28 (4610)
* Mon Feb 12 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-02-05
* Mon Jan 08 2018 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2018-01-11
* Mon Nov 27 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2017-11-30 (4468)
* Fri Oct 20 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2017-10-26 (4419)
* Wed Sep 27 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2017-10-02 (4379)
* Mon Aug 28 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2017-09-06 (4334)
* Tue Aug 01 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2017-08-07 (4304)
* Wed Jul 19 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for Patch 2017-07-24 (4289)
* Fri Jul 07 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for Patch 2017-07-17 (4264)
* Mon Jun 12 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for Patch 2017-06-19 (4220)
* Tue Jun 06 2017 Marcus Klein <marcus.klein@open-xchange.com>
Build for Patch 2017-06-08 (4187)
* Tue May 16 2017 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.8.0 release
* Thu May 04 2017 Marcus Klein <marcus.klein@open-xchange.com>
Second preview of 2.8.0 release
* Mon Apr 03 2017 Marcus Klein <marcus.klein@open-xchange.com>
First preview of 2.8.0 release
* Fri Dec 02 2016 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 2.8.0 release
* Fri Nov 25 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second release candidate for 2.6.0 release
* Thu Nov 24 2016 Marcus Klein <marcus.klein@open-xchange.com>
First release candidate for 2.6.0 release
* Tue Nov 15 2016 Marcus Klein <marcus.klein@open-xchange.com>
Third preview of 2.6.0 release
* Sat Oct 29 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second preview of 2.6.0 release
* Fri Oct 14 2016 Marcus Klein <marcus.klein@open-xchange.com>
First preview of 2.6.0 release
* Wed Oct 12 2016 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 2.6.0 release
* Tue Jul 12 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 2.4.2 release
* Wed Jul 06 2016 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.4.2 release
* Wed Jun 29 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second preview for 2.4.2 release
* Thu Jun 16 2016 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.4.2 release
* Thu Jun 16 2016 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 2.4.2
* Wed Mar 30 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 2.4.0 release
* Thu Mar 24 2016 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.4.0 release
* Wed Mar 16 2016 Marcus Klein <marcus.klein@open-xchange.com>
Fifth preview of 2.4.0 release
* Fri Mar 04 2016 Marcus Klein <marcus.klein@open-xchange.com>
Fourth preview of 2.4.0 release
* Sat Feb 20 2016 Marcus Klein <marcus.klein@open-xchange.com>
Third candidate for 2.4.0 release
* Fri Feb 05 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 2.4.0 release
* Fri Feb 05 2016 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.4.0 release
* Sun Dec 06 2015 Greg <greg@ubuntu>
Second candidate for 2.2.1 release
* Mon Nov 09 2015 Greg <greg@ubuntu>
First candidate for 2.2.1 release
* Mon Nov 09 2015 Greg <greg@ubuntu>
First release 2.2.1
* Fri Oct 23 2015 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 2.4.0 release
* Mon Oct 05 2015 Marcus Klein <marcus.klein@open-xchange.com>
Sixth candidate release for 2.2.0
* Sun Sep 27 2015 Marcus Klein <marcus.klein@open-xchange.com>
Fifth candidate release for 2.2.0
* Mon Sep 21 2015 Marcus Klein <marcus.klein@open-xchange.com>
Fourth candidate release 2.2.0
* Mon Sep 14 2015 Greg <greg.hill@open-xchange.com>
Build for patch 2015-09-24 (2756)
* Mon Sep 14 2015 Marcus Klein <marcus.klein@open-xchange.com>
Third candidate release 2.2.0
* Mon Aug 24 2015 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 2.2.0 release
* Mon Aug 10 2015 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 2.2.0 release
* Mon Aug 10 2015 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 2.2.0 release
* Wed Jul 29 2015 Greg <greg.hill@open-xchange.com>
Build for patch 2015-07-27 (2626)
* Wed Jul 08 2015 Greg <greg.hill@open-xchange.com>
Build for patch 2015-07-09 (2612)
* Tue Jun 30 2015 Greg <greg.hill@open-xchange.com>
Final release candidate for Guard 2.0
* Mon Jun 29 2015 Greg <greg.hill@open-xchange.com>
Fifth candidate for 2.0
* Sun Jun 28 2015 Greg <greg.hill@open-xchange.com>
Fourth candidate for 2.0 release
* Sun Jun 21 2015 Greg <greg.hill@open-xchange.com>
Third candidate for 2.0 release
* Sun Jun 14 2015 Greg <greg.hill@open-xchange.com>
Second candidate for 2.0 release
* Sun Jun 07 2015 Greg <greg.hill@open-xchange.com>
First candidate for 2.0 release
* Mon Feb 09 2015 Greg <greg.hill@open-xchange.com>
prepare for 2.0.0 release
* Sun Jan 04 2015 Greg <greg.hill@open-xchange.com>
Third candidate for 1.2.0 release
* Wed Dec 10 2014 Greg <greg.hill@open-xchange.com>
Second candidate for 1.2.0 release
* Tue Nov 11 2014 Greg <greg.hill@open-xchange.com>
Build for 1.2 release
* Wed Oct 01 2014 Greg <greg@ubuntu>
Build for patch 2014-09-15
* Wed Sep 03 2014 Greg <greg@ubuntu>
Third candidate for 1.0.0 release
* Tue Sep 02 2014 Greg <greg@ubuntu>
Second candidate for 1.0.0 release
* Thu Aug 28 2014 Greg <greg@ubuntu>
Prepare for release 1.0.0 * *
* Thu Aug 28 2014 Greg <greg@ubuntu>
First candidate for 1.0.0 release
